Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class Arrow

    java.lang.Object
      com.eltima.chart.Arrow

All Implemented Interfaces:
  java.io.Serializable

    public class Arrow

extends java.lang.Object
implements java.io.Serializable

The Arrow class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`static int` | `AXIS_HORIZONTAL`
`static int` | `AXIS_VERTICAL`
`static int` | `BOTTOM`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `TOP`
`static int` | `TYPE_1`
`static int` | `TYPE_2`
`static int` | `TYPE_3`
`static int` | `TYPE_4`
`static int` | `TYPE_5`
`static int` | `TYPE_NONE`

Constructor Summary
`Arrow(int axisType, int places, int type)` Creates new instance of Arrow with specified axis type, location and arrow type.

Method Summary
`int` | `getAxisType()` Returns the axis type.
`java.awt.geom.GeneralPath` | `getGeneralPath()` Returns arrow GeneralPath.
`int` | `getInset()` Returns axis inset.
`int` | `getLength()` Returns the arrow length.
`int` | `getPlaces()` Returns the arrow places.
`int` | `getType()` Returns the arrow type.
`int` | `getWeight()` Returns arrow weight.
`void` | `setAxisType(int axis)` Sets the axis type.
`void` | `setLineWeight(int lineWeight)` Sets the axis line weight.
`void` | `setPlaces(int places)` Sets the arrow places.
`void` | `setTickWeight(int tickWeight)` Sets the axis tick weight.
`void` | `setType(int type)` Sets the arrow type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NONE

    public static final int TYPE_NONE

See Also:
  Constant Field Values

### TYPE_1

    public static final int TYPE_1

See Also:
  Constant Field Values

### TYPE_2

    public static final int TYPE_2

See Also:
  Constant Field Values

### TYPE_3

    public static final int TYPE_3

See Also:
  Constant Field Values

### TYPE_4

    public static final int TYPE_4

See Also:
  Constant Field Values

### TYPE_5

    public static final int TYPE_5

See Also:
  Constant Field Values

### AXIS_VERTICAL

    public static final int AXIS_VERTICAL

See Also:
  Constant Field Values

### AXIS_HORIZONTAL

    public static final int AXIS_HORIZONTAL

See Also:
  Constant Field Values

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

Constructor Detail

### Arrow

    public Arrow(int axisType,
                 int places,
                 int type)

  Creates new instance of Arrow with specified axis type, location and arrow type.

Method Detail

### getInset

    public int getInset()

  Returns axis inset.

  Returns:
    int

### getWeight

    public int getWeight()

  Returns arrow weight.

  Returns:
    int

### getGeneralPath

    public java.awt.geom.GeneralPath getGeneralPath()

  Returns arrow GeneralPath.

  Returns:
    GeneralPath

### getAxisType

    public int getAxisType()

  Returns the axis type.

  Returns:
    int

### getPlaces

    public int getPlaces()

  Returns the arrow places.

  Returns:
    int

### getType

    public int getType()

  Returns the arrow type.

  Returns:
    int

### getLength

    public int getLength()

  Returns the arrow length.

  Returns:
    int

### setAxisType

    public void setAxisType(int axis)

  Sets the axis type.

  Parameters:
    `axis` - AXIS_VERTICAL or AXIS_HORIZONTAL.

### setType

    public void setType(int type)

  Sets the arrow type.

  Parameters:
    `type` - TYPE_NONE, TYPE_1, TYPE_2, TYPE_3, TYPE_4 or TYPE_5.

### setPlaces

    public void setPlaces(int places)

  Sets the arrow places.

  Parameters:
    `places` - TOP, BOTTOM, LEFT or RIGHT.

### setLineWeight

    public void setLineWeight(int lineWeight)

  Sets the axis line weight.

  Parameters:
    `lineWeight` - int

### setTickWeight

    public void setTickWeight(int tickWeight)

  Sets the axis tick weight.

  Parameters:
    `tickWeight` - int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.